Bug 733091 - deleting a repo while running a clone does not cancel the clone
Summary: deleting a repo while running a clone does not cancel the clone
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 17:56 UTC by Preethi Thomas
Modified: 2013-09-09 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 20:33:20 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-24 17:56:02 UTC
Description of problem:
If you clone a repo ( say you are cloning repoY from repoX) and if you delete repoY while getting cloned, it deletes repoY but the cloning continues. If you watch the log you can see that and finally see tracebacks on createrepo 

To take it another step further

1. Clone repoY from repoX
2. Delete repoY while the clone is running.
3. Now clone repoY from repoX (note the same name)
4. Notcie that errors



root@preethi ~]# pulp-admin repo clone --id=f15 --clone_id=f15-clone1 --feed=parent --filter=filter-black -F
Repository [f15] is being cloned as [f15-clone1]
Waiting /
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 23, in <module>
    admin.main()
  File "/usr/lib/python2.7/site-packages/pulp/client/lib/cli.py", line 152, in main
    command.main(self.args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 129, in main
    action.main(args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 211, in main
    self.run()
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/repo.py", line 605, in run
    self.clone_foreground(task)
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/repo.py", line 578, in clone_foreground
    self.print_clone_finish(task['state'], task['progress'])
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/repo.py", line 559, in print_clone_finish
    current += self.form_progress_item_details(progress["details"])
TypeError: 'NoneType' object is not subscriptable
[root@preethi ~]# pulp-admin repo delete --id=f15-clone1
Successful deleted repository [ f15-clone1 ]

[root@preethi ~]# 
[root@preethi ~]# 
[root@preethi ~]#

Comment 1 Jay Dobies 2012-07-11 20:33:20 UTC
Cloning is removed in v2.


Note You need to log in before you can comment on or make changes to this bug.